Bug 135716 - FILESAVE DOCX Numbering highlight is not saved to DOCX
Summary: FILESAVE DOCX Numbering highlight is not saved to DOCX
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: DOCX-Bullet-Number-Outline-Lists
  Show dependency treegraph
 
Reported: 2020-08-13 14:03 UTC by NISZ LibreOffice Team
Modified: 2021-04-15 15:38 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word (17.20 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-13 14:04 UTC, NISZ LibreOffice Team
Details
The example file with highlighting color changed to red (11.14 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-13 14:04 UTC, NISZ LibreOffice Team
Details
Screenshot of the original and exported document side by side in Word (47.92 KB, image/png)
2020-08-13 14:04 UTC, NISZ LibreOffice Team
Details
Screenshot of the exported document reopened in Writer and Word (14.17 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-08-13 14:05 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2020-08-13 14:03:24 UTC
Description:
Since bug #115689 is fixed highlight character formatting applied on numbering in DOCX files is imported.
However changes to paragraph highlight color are not exported correctly: numbering loses the new color (this also happens in the editor).

Steps to Reproduce:
    1. Open attached file
    2. Select all the numbered paragraphs
    3. Set a different highlight color (I used red) on the numbered paragraphs.
    4. The numbering loses its yellow highlight, but does not get the new.
    5. Save as DOCX and open the file in Word

Actual Results:
Numbering has no highlight color in Word. 
Reopening the file in Writer sets the new highlight color on the numbering.

Expected Results:
Numbering should have the highlight color that is set on the UI.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 7.1.0.0.alpha0+ (x64)
Build ID: <buildversion>
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL
(nightly from 08-13)
Comment 1 NISZ LibreOffice Team 2020-08-13 14:04:06 UTC
Created attachment 164260 [details]
Example file from Word
Comment 2 NISZ LibreOffice Team 2020-08-13 14:04:29 UTC
Created attachment 164261 [details]
The example file with highlighting color changed to red
Comment 3 NISZ LibreOffice Team 2020-08-13 14:04:49 UTC
Created attachment 164262 [details]
Screenshot of the original and exported document side by side in Word
Comment 4 NISZ LibreOffice Team 2020-08-13 14:05:08 UTC
Created attachment 164263 [details]
Screenshot of the exported document reopened in Writer and Word
Comment 5 Dieter 2020-08-18 18:35:55 UTC
I can't confirm it with

Version: 7.0.0.3 (x64)
Build ID: 8061b3e9204bef6b321a21033174034a5e2ea88e
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: threaded

So perhaps it's a regression and independend from bug 115689?
Comment 6 Buovjaga 2021-04-14 08:54:20 UTC
(In reply to NISZ LibreOffice Team from comment #0)
> Reopening the file in Writer sets the new highlight color on the numbering.

This is no longer true since
https://git.libreoffice.org/core/commit/873df086db969cadc66087a5abdb1ff33f2c99f1
tdf#135774, tdf#114799 Char highlight: apply to numbering

I don't have Word to test right now, but let's set to NEW
Comment 7 Justin L 2021-04-15 15:38:19 UTC
So I'm not sure there is a bug here.
Please note that in MS Office, there is a HUGE difference between how HIGHLIGHT and SHADE on the paragraph's default character properties affect numbering's background. SHADE does nothing.

Prior to 7.0, LO defaulted to saving background as HIGHLIGHT, so that could affect the numbering.  Now LO defaults to saving as SHADE, so the clearing of the colour in step 4 is correct/expected. (Changing the character background issues a RES_HIGHLIGHT-NONE as well as setting RES_BACKGROUND).

At this point, it seems like even if changing Options - File/Save - Microsoft Office - "save background as highlight" still won't save the colour to the numbering (probably because of the direct NONE format). I suppose that the NONE could be avoided IF IsCharBackground2Highlight.